package org.bdware.sc;

import org.bdware.sc.bean.ContractRequest;
import org.bdware.sc.conn.ResultCallback;

public interface AgentPeerManagerIntf {
    void transferToOtherNode(String pubKey, String contractID);

    void executeByOtherNodeAsync(String pubKey, ContractRequest c, ResultCallback cb);

    boolean hasAgentConnection(String pubKey);

    boolean deliverEvent(String pubKey, String event);

    String[] listNodes();
}
