package org.bdware.sc;

import org.bdware.sc.bean.ContractRequest;
import org.bdware.sc.conn.OnHashCallback;

public interface ChainOpener {
    void writeContractResultToLocalAndLedger(
            String result,
            ContractClient client,
            ContractRequest contractRequest,
            OnHashCallback cb, long start, long l);

    void writeToChain(
            OnHashCallback cb,
            String from,
            String to,
            String data,
            String requestID,
            String namedLedger);

    void writeToChainWithContract(
            OnHashCallback cb,
            String from,
            String to,
            String data,
            String requestID,
            String contractID,
            String namedLedger);
}
