package org.bdware.server.trustedmodel;

import org.bdware.sc.bean.ContractRequest;
import org.bdware.sc.conn.Node;
import org.bdware.sc.conn.OnHashCallback;
import org.bdware.sc.conn.ResultCallback;

public interface ContractExecutor {
    void execute(String requestID, ContractRequest req, ResultCallback rcb, OnHashCallback hcb);

    default void close() {
    }

    default void onSyncMessage(Node node, byte[] data) {
    }
}
